{%- from "galera/map.jinja" import master,slave with context %}

{%- if master.get('enabled', False) %}
{%- set galera = master %}
{%- else %}
{%- set galera = slave %}
{%- endif %}

galera_task_pkgs_latest:
  test.show_notification:
    - name: "dump_message_pkgs_latest"
    - text: "Running galera.upgrade.pkgs_latest"

policy-rc.d_present:
  file.managed:
    - name: /usr/sbin/policy-rc.d
    - mode: 755
    - contents: |
        #!/bin/sh
        exit 101

{%- if galera.get('enabled', False) %}
  {%- if galera.version is defined %}
galera_packages:
  pkg.installed:
  - names: {{ galera.pkgs }}
  - version: {{ galera.version }}
  - require:
    - file: policy-rc.d_present
  - require_in:
    - file: policy-rc.d_absent
  {%- else %}
galera_packages:
  pkg.latest:
  - names: {{ galera.pkgs }}
  - require:
    - file: policy-rc.d_present
  - require_in:
    - file: policy-rc.d_absent
  {%- endif %}

{%- endif %}

policy-rc.d_absent:
  file.absent:
    - name: /usr/sbin/policy-rc.d
